EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageDownloads_GetDownloads',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'PackageDownloads',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ NULL
GO

IF OBJECT_ID('[PackageDownloads_GetDownloads]') IS NOT NULL DROP PROCEDURE [PackageDownloads_GetDownloads]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageDownloads_GetDownloads]
(
    @Feed_Name NVARCHAR(50),
    @Package_Id NVARCHAR(255),
    @Version_Text NVARCHAR(50),
    @Downloads_Count INT = NULL
)
AS
BEGIN
	
	SET NOCOUNT ON

    IF @Downloads_Count IS NOT NULL
        SET ROWCOUNT @Downloads_Count

	SELECT *
      FROM [PackageDownloads]
     WHERE [Feed_Name] = @Feed_Name
       AND [Package_Id] = @Package_Id
       AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)

END
GO

GRANT EXECUTE ON [PackageDownloads_GetDownloads] TO [ProGetUser_Role]
GO
